itpp::BLERC Class Reference

Class for counting block error rates. More...

`#include <itpp/comm/error_counters.h>`

## Public Member Functions

| BLERC (void)
| Class constructor.
| BLERC (int blocksize)
| Specialised constructor.
void | set_blocksize (int inblocksize, bool clear=true)
| Set the block size.
void | count (const bvec &in1, const bvec &in2)
| Calculate the number of block errors between in1 and in2.
void | count (const bool x)
| Variant of the cumulative error counter. Counts a block error if x is true, and a correct block otherwise.
void | clear ()
| Clear the block error counter.
double | get_errors () const
| Returns the number of block errors.
double | get_corrects () const
| Returns the number of correct blocks.
double | get_total_blocks () const
| Returns the total number of block processed.
double | get_errorrate () const
| Returns the block error rate.

## Detailed Description

Class for counting block error rates.

Use this class to count block errors in binary vectors.

Definition at line 131 of file error_counters.h.

The documentation for this class was generated from the following files:

- itpp/comm/error_counters.h
- itpp/comm/error_counters.cpp

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13